Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1
Class Base64EncryptedValueType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.Base64EncryptedValueType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:41:15+02:00",
               comments="JAXB RI v2.3.6")
    public class Base64EncryptedValueType

extends Object
implements Serializable

Java class for Base64EncryptedValueType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Base64EncryptedValueType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>base64Binary">
           <attribute name="encoding" type="{http://www.w3.org/2001/XMLSchema}string" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Base64EncryptedValueType()`

Method Summary
`String` | `getEncoding()` Gets the value of the encoding property.
`byte[]` | `getValue()` Gets the value of the value property.
`void` | `setEncoding(String value)` Sets the value of the encoding property.
`void` | `setValue(byte[] value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64EncryptedValueType

    public Base64EncryptedValueType()

Method Detail

### getValue

    public byte[] getValue()

  Gets the value of the value property.

  Returns:
    possible object is byte[]

### setValue

    public void setValue(byte[] value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is byte[]

### getEncoding

    public String getEncoding()

  Gets the value of the encoding property.

  Returns:
    possible object is `String`

### setEncoding

    public void setEncoding(String value)

  Sets the value of the encoding property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.